com.h3c.sdn

## Class SystemModel<T>

- java.lang.Object
- - com.h3c.sdn.AbstractModel<T,UUID>
  - - com.h3c.sdn.Model<T>
    - - com.h3c.sdn.SystemModel<T>

- Type Parameters:
    `T` - type of the transfer object (DTO)
  All Implemented Interfaces:
    Transportable<T,UUID>, Serializable
  Direct Known Subclasses:
    Alert, AuditLogEntry, CtlAddrEntity, HostEntity

      public abstract class SystemModel<T>
      extends Model<T>

  A domain model object that is aware of the system it is created on or belongs to.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemModel(Id<? extends T,UUID> id, Id<SystemInformation,UUID> sysId)` Construct using the supplied unique identification and system identification strings.
    `SystemModel(Id<SystemInformation,UUID> sysId)` Construct with the given system identification string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id<SystemInformation,UUID>` | `getSysId()` Returns the system identification.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.sdn.AbstractModel

      `equals, getId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemModel

          public SystemModel(Id<SystemInformation,UUID> sysId)

      Construct with the given system identification string. An unique identification string will be generated. The supplied system identification string must not be null.
      Parameters:
        `sysId` - the system identification

    - #### SystemModel

          public SystemModel(Id<? extends T,UUID> id,
                     Id<SystemInformation,UUID> sysId)

      Construct using the supplied unique identification and system identification strings. The supplied unique identification string and system identification string must not be null.
      Parameters:
        `id` - the unique identification
        `sysId` - the system identification

  - ### Method Detail

    - #### getSysId

          public Id<SystemInformation,UUID> getSysId()

      Returns the system identification.
      Returns:
        the system identification

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractModel<T,UUID>`

Copyright © 2014. All Rights Reserved.